%global pkgname smallsemi

Name:           gap-pkg-%{pkgname}
Version:        0.6.11
Release:        2%{?dist}
Summary:        GAP library of small semigroups

License:        GPLv3+
URL:            http://www-groups.mcs.st-andrews.ac.uk/~jamesm/smallsemi.php
Source0:        http://www-groups.mcs.st-andrews.ac.uk/~jamesm/smallsemi/%{pkgname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  gap-devel
BuildRequires:  GAPDoc-latex

Requires:       gap-core

%description
The Smallsemi package is a data library of semigroups of small size.  It
provides all semigroups with at most 8 elements as well as information
of various kinds about these objects.

%prep
%setup -q -n %{pkgname}-%{version}

%build
# Link to main GAP documentation
ln -s %{_gap_dir}/doc ../../doc
mkdir -p ../pkg
ln -s ../%{pkgname}-%{version} ../pkg
gap -l "$PWD/..;%{_gap_dir}" << EOF
LoadPackage( "smallsemi" );
SmallsemiMakeDoc();
CopyHTMLStyleFiles( "doc" );
GAPDocManualLab( "smallsemi" );
EOF
rm -fr ../../doc ../pkg

%install
mkdir -p %{buildroot}%{_gap_dir}/pkg
cp -a ../%{pkgname}-%{version} %{buildroot}%{_gap_dir}/pkg/%{pkgname}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/{CHANGELOG,GPLv3,README}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/doc/*.{aux,bbl,blg,brf,idx,ilg,ind,log,out,pnr,toc}

%check
cd tst
gap -l "%{_gap_dir};%{buildroot}%{_gap_dir}" << EOF 2>&1 | tee log
ReadPackage( "smallsemi", "tst/testall.g" );
EOF
grep -Evq 'fail|false' log
rm -f log

%files
%doc CHANGELOG README
%license GPLv3
%docdir %{_gap_dir}/pkg/%{pkgname}/doc
%{_gap_dir}/pkg/%{pkgname}/

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Apr 26 2017 Jerry James <loganjerry@gmail.com> - 0.6.11-1
- New upstream version (bz 1445743)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Apr  7 2016 Jerry James <loganjerry@gmail.com> - 0.6.10-1
- New upstream version

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Nov 12 2015 Jerry James <loganjerry@gmail.com> - 0.6.8-1
- Initial RPM
